| Apache Ignite C++

Public Member Functions | List of all members
ignite::cache::query::continuous::ContinuousQueryHandle< K, V > Class Template Reference

Continuous query handle. More...

`#include <continuous_query_handle.h>`

## Public Member Functions
| ContinuousQueryHandle ()
| Default constructor.
| ContinuousQueryHandle (impl::cache::query::continuous::ContinuousQueryHandleImpl *impl)
| Constructor. More...
QueryCursor< K, V > | GetInitialQueryCursor ()
| Gets the cursor for initial query. More...
QueryCursor< K, V > | GetInitialQueryCursor (IgniteError &err)
| Gets the cursor for initial query. More...
bool | IsValid () const
| Check if the instance is valid. More...

## Detailed Description

### template<typename K, typename V>
class ignite::cache::query::continuous::ContinuousQueryHandle< K, V >

Continuous query handle.

## Constructor & Destructor Documentation

## ◆ ContinuousQueryHandle()

template<typename K , typename V >

ignite::cache::query::continuous::ContinuousQueryHandle< K, V >::ContinuousQueryHandle | ( | impl::cache::query::continuous::ContinuousQueryHandleImpl * | impl | ) |
| inline

Constructor.

Internal method. Should not be used by user.

Parameters

  impl | Implementation.

## Member Function Documentation

## ◆ GetInitialQueryCursor() [1/2]

template<typename K , typename V >

QueryCursor<K, V> ignite::cache::query::continuous::ContinuousQueryHandle< K, V >::GetInitialQueryCursor | ( |  | ) |
| inline

Gets the cursor for initial query.

Can be called only once, throws IgniteError on consequent calls.

Returns
  Initial query cursor.

## ◆ GetInitialQueryCursor() [2/2]

template<typename K , typename V >

QueryCursor<K, V> ignite::cache::query::continuous::ContinuousQueryHandle< K, V >::GetInitialQueryCursor | ( | IgniteError & | err | ) |
| inline

Gets the cursor for initial query.

Can be called only once, results in error on consequent calls.

Parameters

  err | Error.

Returns
  Initial query cursor.

## ◆ IsValid()

template<typename K , typename V >

bool ignite::cache::query::continuous::ContinuousQueryHandle< K, V >::IsValid | ( |  | ) | const
| inline

Check if the instance is valid.

Invalid instance can be returned if some of the previous operations have resulted in a failure. For example invalid instance can be returned by not-throwing version of method in case of error. Invalid instances also often can be created using default constructor.

Returns
  True if the instance is valid and can be used.

The documentation for this class was generated from the following file:

- core/include/ignite/cache/query/continuous/continuous_query_handle.h